## nbtscan 1.0.3

=== Makefile ===
INSTALL=/usr/bin/install -c
CC=gcc
LIBS=
CFLAGS = -g -O2
OBJECTS=nbtscan.o statusq.o range.o list.o
DEFS=-DSTDC_HEADERS=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_UNISTD_H=1 -Dmy_uint8_t=uint8_t -Dmy_uint16_t=uint16_t -Dmy_uint32_t=uint32_t -DTIME_WITH_SYS_TIME=1 -DHAVE_SNPRINTF=1 -DUNIX=1 
TARGET=nbtscan
BINDIR=NONE/bin

nbtscan: $(OBJECTS)
	$(CC) $(CFLAGS) -o nbtscan $(OBJECTS) $(LIBS)

install:
	$(INSTALL) $(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)

nbtscan.o: nbtscan.c statusq.h range.h list.h
	$(CC) $(CFLAGS) $(DEFS) -c nbtscan.c

statusq.o: statusq.c statusq.h
	$(CC) $(CFLAGS) $(DEFS) -c statusq.c

range.o: range.c range.h
	$(CC) $(CFLAGS) $(DEFS) -c range.c

list.o: list.c list.h
	$(CC) $(CFLAGS) $(DEFS) -c list.c

clean:
	-rm $(OBJECTS) nbtscan

distclean: clean
	-rm config.cache config.log config.status Makefile

## nbtscan 1.5.1

=== debian/changelog ===
nbtscan (1.5.1-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4

 -- Jochen Friedrich <jochen@scram.de>  Wed, 02 Jun 2010 18:18:58 +0200

nbtscan (1.5.1-5) unstable; urgency=low

  * Change patch system to quilt and add README.source.
  * Change upstream location in copyright (Closes: #550988)
  * Fix license statement in copyright
  * Add homepage and GIT repository to control
  * Add dependency to autoconf and remove configure patch
  * Change compat from 4 to 7
  * Bump standards version to 3.8.3.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 15 Oct 2009 17:27:05 +0200

nbtscan (1.5.1-4) unstable; urgency=low

  * Fix off-by-one error (Closes: #418655)
    Thanks to Walter Doekes <walter@wjd.nu> for the patch.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 09 May 2008 14:40:12 +0200

nbtscan (1.5.1-3) unstable; urgency=low

  * Bump standards version to 3.7.3.
  * Convert from cdbs to debhelper v7 including a port of last NMU.
  * Fix watch file, now that the directory is no longer open.
    (Closes: #449819)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 08 May 2008 13:46:27 +0200

nbtscan (1.5.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with configure not run by cdbs (Closes: #375561)
    - Remove config.log and config.status
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Tue,  4 Jul 2006 13:51:39 +0200

nbtscan (1.5.1-2) unstable; urgency=low

  * Removed extra debian/rules.c preventing some autobuilders
    to succeed.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 26 Feb 2004 07:48:57 +0100

nbtscan (1.5.1-1) unstable; urgency=low

  * New upstream release
   o Fixed segmentation fault when using -f option (noticed by Brian Lovrin)
   o Fixed printing ugliness (noticed by Darren Critchley)
   o Closes: #176247, #147671
  * Fixed debian/copyright to comply to Debian standard
  * New maintainer (Closes: #234616)
  * Bumped policy version to 3.6.1
  * Converted to use cdbs
  * Fixed output of MAC addresses (Closes: #206670)
  * Fixed mask handling on 64bit platforms
  * Fixed timeout behaviour (Closes: #189334)

 -- Jochen Friedrich <jochen@scram.de>  Wed, 25 Feb 2004 19:55:11 +0100

nbtscan (1.5-1) unstable; urgency=low

  * New upstream release. Closes: #166401

 -- Ryszard Lach <rla@debian.org>  Wed,  8 Jan 2003 21:48:35 +0100

nbtscan (1.0.3-3) unstable; urgency=low

  * Applied patch from Thomas Poindessous. Closes: #142518. 

 -- Ryszard Lach <rla@debian.org>  Tue, 10 Sep 2002 00:07:44 +0200

nbtscan (1.0.3-2) unstable; urgency=low

  * Updated config.sub and config.guess. Closes: #134268, #134247.

 -- Ryszard Lach <rla@debian.org>  Mon, 18 Feb 2002 00:15:00 +0100

nbtscan (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Ryszard Lach <rla@debian.org>  Thu, 14 Feb 2002 21:27:09 +0100

nbtscan (1.0.2.1-2) unstable; urgency=low

  * Fixed building script (manpage generation).

 -- Ryszard Lach <rla@debian.org>  Fri,  4 Jan 2002 13:58:00 +0100

nbtscan (1.0.2.1-1) unstable; urgency=high

  * Fixed broken building scripts. (Closes: Bug#123649, Bug#123664)
  * Fixed COPYING file.

 -- Ryszard Lach <rla@debian.org>  Thu, 13 Dec 2001 20:54:34 +0100

nbtscan (1.0.2-3) unstable; urgency=low

  * Fixed bogus returned code. (Closes: Bug#120857)

 -- Ryszard Lach <rla@debian.org>  Tue, 11 Dec 2001 15:32:03 +0100

nbtscan (1.0.2-2) unstable; urgency=low

  * Added missing docbook-to-man to Build-Depends.

 -- Ryszard Lach <rla@debian.org>  Mon, 22 Oct 2001 20:35:25 +0200

nbtscan (1.0.2-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#94735)

 -- Ryszard Lach <rla@debian.org>  Fri, 12 Oct 2001 14:51:06 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: nbtscan
Section: net
Priority: optional
Maintainer: Jochen Friedrich <jochen@scram.de>
Build-Depends: docbook-to-man, debhelper (>= 7.0.50~), autotools-dev, autoconf
Standards-Version: 3.8.4
Homepage: http://www.inetcat.net/software/nbtscan.html
Vcs-Git: git://git.debian.org/users/jochen/pkg-nbtscan.git
Vcs-Browser: http://git.debian.org/?p=users/jochen/pkg-nbtscan.git

Package: nbtscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A program for scanning networks for NetBIOS name information
 NBTscan is a program for scanning IP networks for NetBIOS name
 information. It sends NetBIOS status query to each address in
 supplied range and lists received information in human
 readable form. For each responded host it lists IP address,
 NetBIOS computer name, logged-in user name and MAC address
 (such as Ethernet).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ln -s /usr/share/misc/config.guess .
	ln -s /usr/share/misc/config.sub .
	autoconf
	dh_auto_configure

=== debian/watch ===
version=3
http://www.inetcat.net/software/nbtscan.html nbtscan-(.*)\.tar\.gz

## nbtscan 1.6

=== debian/changelog ===
nbtscan (1.6-1) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New upstream version 1.6.
  * New upstream homepage.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright:
      - Added new rights for upstream source code.
      - Added rights for Samuel Henrique in debian/* block.
      - Updated packaging copyright years.
      - Updated Upstream-Contact field.
  * debian/dirs: no longer needed. Removed.
  * debian/docs:
      - Added CONTRIBUTING.md.
      - Renamed README to README.md.
  * debian/manpage/: removed. The upstream is providing a manpage now.
  * debian/manpages: removed. The upstream is providing a manpage now.
  * debian/patches/: removed all patches. The upstream fixed the source code.
  * debian/watch: updated to use the new upstream homepage.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 14 Nov 2019 23:03:02 -0300

nbtscan (1.5.1-7) unstable; urgency=medium

  * New maintainer and co-maintainer. (Closes: #891761)
  * New upstream homepage. Consequently:
      - debian/control: updated Homepage field. (Closes: #915018)
      - debian/watch:
          ~ Migrated version to 4.
          ~ Updated homepage and improved the rule.
  * Migrations:
      - debian/copyright to 1.0 format.
      - DH level to 11.
      - Manpage from sgml to txt2man. Consequently:
          ~ Manpage rewritten from scratch.
          ~ Fixed a typo. Thanks to Colin Mahns <colinrmahns@gmail.com>.
            (Closes: #856680)
          ~ debian/control: removed now unnecessary docbook-to-man build
            dependency.
          ~ debian/manpage/*: created files to produce the manpage.
          ~ debian/manpages: created to install the manpage.
          ~ debian/patches/02_manpage.diff: dropped. It was providing the old
            manpage.
          ~ debian/patches/03_makefile_update.diff: dropped. It was installing
            the old manpage.
  * debian/clean: removed because the actions from file are not needed.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed short description.
      - Removed no longer needed build dependencies autoconf and autotools-dev.
      - Reorganized and improved long description.
      - Set Salsa as new Git repository.
  * debian/patches/:
      - 04_fix_compiler_warnings.diff:
          ~ Added a header.
          ~ Refreshed to get 'Index' lines.
          ~ Renamed to 010_old-changes.patch. Rationale: this patch was called
            "fix_compiler_warnings". However, it does several things that go
            beyond its name. There is no complete previous VCS, have no all
            previous packages in snapshot.debian.org, nor clear information in
            this changelog. Surely, this patch is closed the following bugs:
            #189334, #206670. To make the header, after a long analysis, I
            considered revision 1.5.1-1.
      - 05_fix_off_by_one.diff:
          ~ Added a header.
          ~ Refreshed to get a 'Index' line.
          ~ Renamed to 020_fix-off-by-one.patch.
      - 030_add-GCC-hardening.patch: created to add GCC hardening.
      - 040_fix-missing-format-specifiers.patch: created to fix debug output.
        Thanks to Johan Eidenvall <bugreport@eidenvall.se>. (Closes: #808786)
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to provide full GCC hardening.
      - Removed unneeded lines. The dh_autoreconf already do all work.
  * debian/source.lintian-overrides: removed because the files config.log and
    config.status remain inside orig.tar.xz file. So, the lintian is correct
    and is not a false positive.
  * debian/tests/control: added to provide a trivial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Dec 2018 12:22:12 -0200

=== debian/control ===
Source: nbtscan
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/resurrecting-open-source-projects/nbtscan
Vcs-Git: https://salsa.debian.org/pkg-security-team/nbtscan.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/nbtscan

Package: nbtscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: scan networks searching for NetBIOS information
 NBTscan is a program for scanning IP networks for NetBIOS name information.
 It sends NetBIOS status query to each address in supplied range and lists
 received information in human readable form. For each responded host it
 lists IP address, NetBIOS computer name, logged-in user name and MAC address
 (such as Ethernet).
 .
 This program is useful for security checks and forensics investigations.

=== debian/tests/control ===
Test-Command: nbtscan -v 203.0.113.0/24

=== debian/watch ===
version=4
https://github.com/resurrecting-open-source-projects/nbtscan/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## nbtscan 1.7.2

=== debian/changelog ===
nbtscan (1.7.2-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/tests/control: scan loopback rather than doc address. Thanks to
    Helmut Grohne <helmut@subdivi.de>. (Closes: #1070486)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 May 2024 13:18:13 -0300

nbtscan (1.7.2-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: converted the last paragraph of the GPL-2 in a comment.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Oct 2022 14:17:25 -0300

nbtscan (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2.
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright:
      - Added rights for Mayco Souza Berghetti.
      - Updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 13 Jan 2022 12:45:09 -0300

nbtscan (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Aug 2021 00:10:46 -0300

nbtscan (1.7-1) unstable; urgency=medium

  * New upstream version 1.7.
  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Improved long description.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 Aug 2021 19:26:35 -0300

nbtscan (1.6-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: migrated DH level to 13.
  * debian/tests/control: added new tests.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Jul 2020 22:13:20 -0300

nbtscan (1.6-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Apr 2020 16:57:46 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/resurrecting-open-source-projects/nbtscan
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nbtscan.git
@@ -20,4 +20,5 @@
  lists IP address, NetBIOS computer name, logged-in user name and MAC address
  (such as Ethernet).
  .
- This program is useful for security checks and forensics investigations.
+ This program is useful for security checks, network discovery and forensics
+ investigations.

=== debian/tests/control ===
Test-Command: nbtscan | grep Usage
Restrictions: superficial

Test-Command: nbtscan -v 127.1.0.0/24

Test-Command: nbtscan -d -b 100000 -t 2000 127.1.0.0-220

=== debian/watch ===
version=4
https://github.com/resurrecting-open-source-projects/nbtscan/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
